
unit bgrabitmap_018_u;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs,
  BGRABitmap, BGRABitmapTypes;

type

  { TForm1 }

  TForm1 = class(TForm)
    procedure FormPaint(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormPaint(Sender: TObject);
var
  image: TBGRABitmap;
begin
  image := TBGRABitmap.Create(100, 100, BGRAWhite);

  { Dessin de l'image dans la fenêtre }
  image.Draw(
    Canvas, { TForm1.Canvas                                  }
    0,      { abscisse du sommet supérieur gauche de l'image }
    0,      { ordonnée du sommet supérieur gauche            }
    TRUE    { dessin opaque                                  }
  );

  { Sauvegarde de l'image dans un fichier }
  image.SaveToFile(ChangeFileExt(ParamStr(0), '.png'));

  image.Free;
end;

end.

