
unit bgrabitmap_025_u;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, Types,
  BGRABitmap, BGRABitmapTypes;

type

  { TForm1 }

  TForm1 = class(TForm)
    procedure FormPaint(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

procedure Operations(image: TBGRABitmap);
const
  TEXTE = 'Hello';
var
  taille: Types.TSize;
begin
  with image do
  begin
    FontHeight := 24;
    FontAntialias := TRUE;
    FontStyle := [fsBold];

    taille := TextSize(TEXTE);

    TextOut((Width - taille.cx) / 2, (Height - taille.cy) / 2, TEXTE, CSSBlue);
  end;
end;

{ TForm1 }

procedure TForm1.FormPaint(Sender: TObject);
var
  image: TBGRABitmap;
begin
  image := TBGRABitmap.Create(100, 100, BGRAWhite);
  Operations(image);
  image.Draw(Canvas, 0, 0, TRUE);
  image.SaveToFile(ChangeFileExt(ParamStr(0), '.png'));
  image.Free;
end;

end.

