
unit bgrabitmap_031_u;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs,
  BGRABitmap, BGRABitmapTypes, BGRAGradients;

type

  { TForm1 }

  TForm1 = class(TForm)
    procedure FormPaint(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

procedure Operations(image: TBGRABitmap);
var
  texte: TBGRABitmap;
begin
  texte := TextShadow(
    100,       { Largeur de l'image.  }
    100,       { Hauteur de l'image.  }
    'Hello',   { Texte.               }
    24,        { Taille de la police. }
    CSSBlue,   { Couleur du texte.    }
    BGRABlack, { Couleur de l'ombre.  }
    5,         { Décalage horizontal. }
    5,         { Décalage vertical.   }
    5          { Rayon de l'ombre.    }
  );

  image.PutImage(0, 0, texte, dmDrawWithTransparency);
  texte.Free;
end;

{ TForm1 }

procedure TForm1.FormPaint(Sender: TObject);
var
  image: TBGRABitmap;
begin
  image := TBGRABitmap.Create(100, 100, BGRAWhite);
  Operations(image);
  image.Draw(Canvas, 0, 0, TRUE);
  image.SaveToFile(ChangeFileExt(ParamStr(0), '.png'));
  image.Free;
end;

end.

