
unit bgrabitmap_026_u;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs,
  BGRABitmap, BGRABitmapTypes;

type

  { TForm1 }

  TForm1 = class(TForm)
    procedure FormPaint(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

procedure Operations(image: TBGRABitmap);
const
  TEXTE = 'Hello';
var
  textHeight: integer;
begin
  with image do
  begin
    FontHeight := 24;
    FontAntialias := TRUE;
    FontStyle := [fsBold];

    textHeight := FontPixelMetric.BaseLine + FontPixelMetric.CapLine;

    TextOut(Width / 2, (Height - textHeight) / 2, TEXTE, CSSBlue, taCenter);
  end;
end;

{ TForm1 }

procedure TForm1.FormPaint(Sender: TObject);
var
  image: TBGRABitmap;
begin
  image := TBGRABitmap.Create(100, 100, BGRAWhite);
  Operations(image);
  image.Draw(Canvas, 0, 0, TRUE);
  image.SaveToFile(ChangeFileExt(ParamStr(0), '.png'));
  image.Free;
end;

end.

