
unit bgrabitmap_030_u;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs,
  BGRABitmap, BGRABitmapTypes;

type

  { TForm1 }

  TForm1 = class(TForm)
    procedure FormPaint(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

procedure Operations(image: TBGRABitmap);
begin
  with image do
  begin
    FontHeight := 12;
    FontAntialias := TRUE;
    FontStyle := [fsBold];

    image.TextRect(
      Rect(5, 5, 95, 95),
      'Texte avec retour automatique à la ligne',
      taCenter, { taLeftJustify, taRightJustify }
      tlCenter, { tlTop, tlBottom               }
      CSSBlue
    );
  end;
end;

{ TForm1 }

procedure TForm1.FormPaint(Sender: TObject);
var
  image: TBGRABitmap;
begin
  image := TBGRABitmap.Create(100, 100, BGRAWhite);
  Operations(image);
  image.Draw(Canvas, 0, 0, TRUE);
  image.SaveToFile(ChangeFileExt(ParamStr(0), '.png'));
  image.Free;
end;

end.

